--- project.mak.orig	2011-10-14 07:40:25.000000000 +0000
+++ project.mak	2012-08-22 08:45:57.387600000 +0000
@@ -51,20 +51,20 @@
 zarith.cmxs: zarith.cmxa libzarith.a
 	$(OCAMLOPT) -shared -o $@ -I . zarith.cmxa
 
-libzarith.a dllzarith.so: $(SSRC:%.S=%.$(OBJSUFFIX)) $(CSRC:%.c=%.$(OBJSUFFIX)) 
+libzarith.a dllzarith${DLL_SUFFIX}: $(SSRC:%.S=%.$(OBJSUFFIX)) $(CSRC:%.c=%.$(OBJSUFFIX)) 
 	$(OCAMLMKLIB) -failsafe -o zarith $+ $(LIBS)
 
 test: zarith.cmxa test.cmx
-	$(OCAMLOPT) $(OCAMLOPTFLAGS) $(OCAMLINC) -cclib "-L." $+ -o $@
+	$(OCAMLOPT) $(OCAMLOPTFLAGS) $(OCAMLINC) -cclib "-L." $+ -o test${EXEC_SUFFIX}
 
 test.b: zarith.cma test.cmo
-	$(OCAMLC) $(OCAMLFLAGS) $(OCAMLINC) -cclib "-L." $+ -o $@
+	$(OCAMLC) $(OCAMLFLAGS) $(OCAMLINC) -cclib "-L." $+ -o test.b${EXEC_SUFFIX}
 
 rtest: zarith.cmxa rtest.cmx
-	$(OCAMLOPT) $(OCAMLOPTFLAGS) $(OCAMLINC) gmp.cmxa bigarray.cmxa -cclib "-L." $+ -o $@
+	$(OCAMLOPT) $(OCAMLOPTFLAGS) $(OCAMLINC) gmp.cmxa bigarray.cmxa -cclib "-L." $+ -o rtest${EXEC_SUFFIX}
 
 bitest: zarith.cmxa  bitest.cmx
-	$(OCAMLOPT) $(OCAMLOPTFLAGS) $(OCAMLINC) nums.cmxa -cclib "-L." $+ -o $@
+	$(OCAMLOPT) $(OCAMLOPTFLAGS) $(OCAMLINC) nums.cmxa -cclib "-L." $+ -o bitest${EXEC_SUFFIX}
 
 doc: $(MLISRC)
 	mkdir -p html
@@ -81,18 +81,18 @@
 	for i in $(TOINSTALL); do \
 		if test -f $$i; then $(INSTALL) -m 0644 $$i $(INSTALLDIR); fi; \
 	done
-	if test -f dllzarith.so; then $(INSTALL) -m 0755 dllzarith.so $(INSTALLDIR)/stublibs; fi
+	if test -f dllzarith${DLL_SUFFIX}; then $(INSTALL) -m 0755 dllzarith${DLL_SUFFIX} $(INSTALLDIR)/stublibs; fi
 
 uninstall:
 	for i in $(TOINSTALL); do \
 		rm -f $(INSTALLDIR)/$$i; \
 	done
-	if test -f $(INSTALLDIR)/stublibs/dllzarith.so; then rm -f $(INSTALLDIR)/stublibs/dllzarith.so; fi
+	if test -f $(INSTALLDIR)/stublibs/dllzarith${DLL_SUFFIX}; then rm -f $(INSTALLDIR)/stublibs/dllzarith${DLL_SUFFIX}; fi
 endif
 
 ifeq ($(INSTMETH),findlib)
 install:
-	$(OCAMLFIND) install -destdir $(INSTALLDIR) zarith META $(TOINSTALL) dllzarith.so
+	$(OCAMLFIND) install -destdir $(INSTALLDIR) zarith META $(TOINSTALL) dllzarith${DLL_SUFFIX}
 
 uninstall:
 	$(OCAMLFIND) remove -destdir $(INSTALLDIR) zarith
